Name:           zopfli
Version:        1.0.3
Release:        %mkrel 4
Summary:        zlib compatible compressor
Group:          Archiving/Compression
License:        ASL 2.0
URL:            https://github.com/google/zopfli
Source0:        https://github.com/google/zopfli/archive/%{name}-%{version}.tar.gz
BuildRequires:  help2man

%description
Zopfli Compression Algorithm is a compression library programmed in C
to perform very good, but slow, deflate or zlib compression.

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build
%set_build_flags
%make_build zopfli zopflipng

help2man --help-option="-h" --version-string=%{version} --no-info --no-discard-stderr \
./%{name} > %{name}.1
help2man --help-option="-h" --version-string=%{version} --no-info --no-discard-stderr \
./%{name}png > %{name}png.1

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -m 755 %{name}png %{buildroot}%{_bindir}/%{name}png

install -D -pm 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -pm 0644 %{name}png.1 %{buildroot}%{_mandir}/man1/%{name}png.1

%files
%doc README README.zopflipng
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}png
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}png.1*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.0.3-4.mga10
+ Revision: 2195576
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 1.0.3-3.mga9
+ Revision: 1792661
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 1.0.3-2.mga8
+ Revision: 1539040
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri Nov 29 2019 daviddavid <daviddavid> 1.0.3-1.mga8
+ Revision: 1463671
- new version: 1.0.3

* Sun Sep 23 2018 umeabot <umeabot> 2.mga7-current
+ Revision: 1302065
- Mageia 7 Mass Rebuild

* Fri May 18 2018 daviddavid <daviddavid> 1.0.2-1.mga7
+ Revision: 1230384
- new version: 1.0.2
- rediff Honor-user-C-XX-FLAGS patch

* Sat Aug 26 2017 daviddavid <daviddavid> 1.0.1-3.mga7
+ Revision: 1147937
- add patch from fedora to honor user C(XX)-FLAGS
- fix build using ours compile flags
- package zopflipng
- package the manpages

* Wed Feb 17 2016 umeabot <umeabot> 1.0.1-2.mga6
+ Revision: 963705
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 daviddavid <daviddavid> 1.0.1-1.mga6
+ Revision: 895762
- new version: 1.0.1
- update URL and Source URL

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 743511
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 690889
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 536591
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 boklm <boklm> 1.0.0-1.mga4
+ Revision: 484842
- Version 1.0.0

* Fri Mar 01 2013 boklm <boklm> 0-1.acc0352.mga3
+ Revision: 400718
- imported package zopfli

